import { InvolvedPerson } from '@agiliza/api/domain'
import { INVOLVED_PERSON_TYPES } from '@agiliza/constants/involvedPeople'

type ExtendedState = InvolvedPerson['identification']

export interface CDIdentificationState extends ExtendedState {
  hasAccount: boolean
}

export const initialState: CDIdentificationState = {
  id: '',
  name: '',
  cpfcnpj: '',
  gender: '',
  type: INVOLVED_PERSON_TYPES['CUSTOMER'],
  hasAccount: false,
  account: { agencyNumber: '', number: '', cardPicture: '' },
  dataType: { doesWithdrawal: false, framework: '' },
}
